# class Devise::Encryptors::Sha1

# Sha1

Uses the Sha1 hash algorithm to encrypt passwords.

### Public Class Methods

digest(password, stretches, salt, pepper) click to toggle source

Generates a default password digest based on stretches, salt, pepper and the incoming password.

    # File lib/devise/encryptors/sha1.rb, line 10
    def self.digest(password, stretches, salt, pepper)
      digest = pepper
      stretches.times { digest = self.secure_digest(salt, digest, password, pepper) }
      digest
    end